Skip to main content
PATCH
/
workspaces
/
{workspace_id}
/
case-dropdowns
/
{definition_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "ref": "<string>",
  "is_ordered": true,
  "required_on_closure": true,
  "position": 123,
  "icon_name": "<string>",
  "options": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "label": "<string>",
      "ref": "<string>",
      "position": 123,
      "icon_name": "<string>",
      "color": "<string>"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

definition_id
string<uuid4>
required
workspace_id
string<uuid>
required

Body

application/json

Update an existing dropdown definition.

name
string | null
Required string length: 1 - 255
ref
string | null
Required string length: 1 - 255
icon_name
string | null
Maximum string length: 100
is_ordered
boolean | null
required_on_closure
boolean | null
position
integer | null

Response

Successful Response

Read model for a dropdown definition with its options.

id
string<uuid>
required
name
string
required
ref
string
required
is_ordered
boolean
required
required_on_closure
boolean
required
position
integer
required
icon_name
string | null
options
CaseDropdownOptionRead · object[]